# 1.0.0[−][src]Module std::env::consts

Constants associated with the current target

## Constants

ARCH | A string describing the architecture of the CPU that is currently in use.
DLL_EXTENSION | Specifies the file extension used for shared libraries on this platform that goes after the dot. Example value is `so`.
DLL_PREFIX | Specifies the filename prefix used for shared libraries on this platform. Example value is `lib`.
DLL_SUFFIX | Specifies the filename suffix used for shared libraries on this platform. Example value is `.so`.
EXE_EXTENSION | Specifies the file extension, if any, used for executable binaries on this platform. Example value is `exe`.
EXE_SUFFIX | Specifies the filename suffix used for executable binaries on this platform. Example value is `.exe`.
FAMILY | The family of the operating system. Example value is `unix`.
OS | A string describing the specific operating system in use. Example value is `linux`.